- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- ProductMetadata
- PlannableTargeting
- SurfaceTargetingCombinations
- SurfaceTargetingCombination
- YouTubeSelectLineUp
- PlannableProductCoreAttributes
- PlannableBuyingMethod
- PlannableCostModel
- Try it!
Retrieves the list of products that can be planned for a location.
HTTP request
GET https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/reachForecast:retrievePlannableProducts
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
Required. The ID of the advertiser to list plannable products for. |
Query parameters
| Parameters | |
|---|---|
plannableLocationId |
Required. The ID of the plannable location. |
Request body
The request body must be empty.
Response body
Response for reachForecast.retrievePlannableProducts
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"productMetadata": [
{
object ( |
| Fields | |
|---|---|
productMetadata[] |
Output only. The list of product metadata showing targeting possibilities. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.
ProductMetadata
Metadata for a plannable product.
| JSON representation |
|---|
{ "plannableProductDescription": string, "plannableProductCode": string, "plannableTargeting": { object ( |
| Fields | |
|---|---|
plannableProductDescription |
Output only. The plain-text description of the ad product. |
plannableProductCode |
Output only. The plannable product code (e.g. "YOUTUBE_REACH_MIX"). |
plannableTargeting |
Output only. The targeting capabilities available for this product. |
displayName |
Output only. The name associated with the ad product. For example: "Video View Campaign". |
plannableProductCoreAttributes |
Output only. Core attributes for this product. |
PlannableTargeting
Targeting capabilities for a given product.
| JSON representation |
|---|
{ "ageRanges": [ enum ( |
| Fields | |
|---|---|
ageRanges[] |
Output only. Allowed plannable age ranges for the product. Actual targeting is computed by mapping this age range onto standard Google age targeting. |
surfaceTargetingCombinations |
Output only. Targetable surface combinations for the ad product. |
genders[] |
Output only. Targetable genders for the ad product. |
networks[] |
Output only. Targetable networks for the ad product. |
devices[] |
Output only. Targetable devices for the ad product. |
youtubeSelectLineups[] |
Output only. Targetable YouTube Select Lineups for the ad product. |
defaultYoutubeSelectLineup |
Output only. The default YouTube Select Lineup for this product, if applicable. |
SurfaceTargetingCombinations
Surface targeting rules.
| JSON representation |
|---|
{ "availableSurfaceTypes": [ enum ( |
| Fields | |
|---|---|
availableSurfaceTypes[] |
Output only. The surface types available. |
validSurfaceCombinations[] |
Output only. Valid combinations of surfaces that can be selected together. |
defaultSurfaceTypes[] |
Output only. The default surface types for this product. |
SurfaceTargetingCombination
A valid combination of surfaces.
| JSON representation |
|---|
{
"choices": [
enum ( |
| Fields | |
|---|---|
choices[] |
Output only. The combination of surfaces. |
YouTubeSelectLineUp
A Plannable YouTube Select Lineup for product targeting.
| JSON representation |
|---|
{ "lineupId": string, "displayName": string } |
| Fields | |
|---|---|
lineupId |
Output only. The ID of the YouTube Select Lineup. |
displayName |
Output only. The display name of the YouTube Select Lineup. |
PlannableProductCoreAttributes
Core attributes for a plannable product.
| JSON representation |
|---|
{ "productCategory": enum ( |
| Fields | |
|---|---|
productCategory |
Output only. The product category. |
buyingMethod |
Output only. The buying method. |
costModel |
Output only. The cost model. |
PlannableBuyingMethod
The buying method of a plannable product.
| Enums | |
|---|---|
PLANNABLE_BUYING_METHOD_UNSPECIFIED |
Not specified. |
PLANNABLE_BUYING_METHOD_AUCTION |
Auction. |
PLANNABLE_BUYING_METHOD_RESERVATION |
Reservation. |
PlannableCostModel
The cost model of a plannable product.
| Enums | |
|---|---|
PLANNABLE_COST_MODEL_UNSPECIFIED |
Not specified. |
PLANNABLE_COST_MODEL_CPM |
CPM. |
PLANNABLE_COST_MODEL_CPV |
CPV. |
PLANNABLE_COST_MODEL_CPC |
CPC. |
PLANNABLE_COST_MODEL_CPA |
CPA. |